import 'package:flutter/material.dart';

import '../util/data.dart';
import '../util/screen_type.dart';
import '../view/feeds_list_view.dart';

class FeedScreen extends StatelessWidget {
  final ScreenType _type;

  const FeedScreen([this._type = ScreenType.home]);

  @override
  Widget build(BuildContext context) => Scaffold(
        appBar: AppBar(
          title: Text((_type == ScreenType.favorites) ? 'Favorites' : 'Home'),
          actions: [
            if (_type == ScreenType.home)
              IconButton(
                icon: Icon(Icons.favorite),
                onPressed: () => Navigator.pushNamed(context, '/favorites'),
              )
          ],
        ),
        body: FutureBuilder<List<int>>(
          future: (_type == ScreenType.home) ? Data.allIds : Data.favoritesIds,
          builder: (context, snapshot) {
            if (snapshot.hasData)
              return FeedsListView(snapshot.data, _type);
            else
              return CircularProgressIndicator();
          },
        ),
      );
}
