import 'package:flutter/material.dart';
import 'package:provider_mvc/controller.dart';
import 'package:provider_mvc/view.dart';

import '../controller/feed_controller.dart';
import '../controller/feeds_list_controller.dart';
import '../util/data.dart';
import '../util/screen_type.dart';

class FeedView extends View<FeedController> {
  final int _feedId;
  final ScreenType _type;

  FeedView(this._feedId, this._type);

  String get _tag => _type.toString().split('.')[1];

  @override
  Widget builder(
      BuildContext context, FeedController controller, Widget widget) {
    return Card(
      color: Colors.grey,
      child: Column(
        children: [
          Row(
            children: [
              Expanded(child: Text(Data.getFeed(_feedId).title)),
              IconButton(
                icon: Icon(Data.getFeed(_feedId).favorite
                    ? Icons.favorite
                    : Icons.favorite_border),
                onPressed: () {
                  Data.getFeed(_feedId).favorite =
                      !Data.getFeed(_feedId).favorite;
                  Controller.find<FeedController>('$_feedId')
                      ?.forEach((ctrl) => ctrl?.update());
                  if (_type == ScreenType.favorites) {
                    Controller.find<FeedsListController>(_tag)
                        ?.forEach((ctrl) => ctrl?.removeFeed(_feedId));
                  }
                },
              )
            ],
          )
        ],
      ),
    );
  }

  @override
  FeedController create(BuildContext context) =>
      Controller.put<FeedController>(FeedController('$_feedId'));
}
