import 'package:flutter/material.dart';
import 'package:provider_mvc/controller.dart';
import 'package:provider_mvc/view.dart';

import '../controller/feeds_list_controller.dart';
import '../util/screen_type.dart';
import 'feed_view.dart';

class FeedsListView extends View<FeedsListController> {
  final List<int> _feedIds;
  final ScreenType _type;

  FeedsListView(this._feedIds, this._type);

  @override
  Widget builder(BuildContext context, FeedsListController controller,
          Widget widget) =>
      ListView(
        children: _feedIds.map((id) => FeedView(id, _type)).toList(),
      );

  String get _tag => _type.toString().split('.')[1];

  @override
  FeedsListController create(BuildContext context) =>
      Controller.put<FeedsListController>(FeedsListController(_feedIds, _tag));
}
