import 'package:flutter/material.dart';

import 'view/movie_list_view.dart';

void main() => runApp(
      MaterialApp(
          debugShowCheckedModeBanner: false,
          theme: ThemeData(
            primarySwatch: Colors.blue,
          ),
          home: MovieListApp()),
    );

class MovieListApp extends StatelessWidget {
  final MovieListView _movieListView = MovieListView();

  @override
  Widget build(BuildContext context) => Scaffold(
        appBar: AppBar(
          title: Text('Movie List'),
        ),
        body: Center(
          child: _movieListView,
        ),
        floatingActionButton: FloatingActionButton(
          onPressed: _movieListView.reset,
          tooltip: 'Refresh',
          child: Icon(Icons.refresh),
        ),
      );
}
